The Billing resource provides methods that allow you to manage the billing plans,associated with an account.
Methods supported
| Method | Description |
|---|---|
| get | GET /restapi/v2/billing_plans/{billingPlanId}Get the billing plan details. |
| getAccountPlan | GET /restapi/v2/accounts/{accountId}/billing_planGet Account Billing Plan |
| getCreditCard | GET /restapi/v2/accounts/{accountId}/billing_plan/credit_cardGet metadata for a given credit card. |
| list | GET /restapi/v2/billing_plansGets the list of available billing plans. |
| purchaseEnvelopes | PUT /restapi/v2/accounts/{accountId}/billing_plan/purchased_envelopesReserved: Purchase additional envelopes. |
| update | PUT /restapi/v2/accounts/{accountId}/billing_planUpdates the account billing plan. |
BillingPlans properties
| Property | Type | Description |
|---|---|---|
billingAddress | accountAddress | The billing address for the account. |
billingAddressIsCreditCardAddress | string | When set to true, the credit card address information is the same as that returned as the billing address. If false, then the billing address is considered a billing contact address, and the credit card address can be different. |
billingPlan | accountBillingPlan | An object that contains details about the billing plan. |
creditCardInformation | creditCardInformation | A complex type that has information about the credit card used to pay for this account. |
paymentProcessorInformation | paymentProcessorInformation | Information about the entity that processes payments for the billing plan. |
referralInformation | referralInformation | A complex type that contains properties for entering referral and discount information. |
successorPlans | array |